<?php 
/*
Plugin Name: Jamie Social Icons
Plugin URI: http://www.cagedfish.co.uk/web-design-leicester/index.php/wordpress-plugins/jamie-social-icons/
Description: Add Facebook Like, Tweet and Google Plus 1 button at bottom of page/post
Author: Jamie Grove
Version: 0.7
Author URI: http://twitter.com/martiniboy
*/
/*  Copyright 2012  Jamie Grove  (email : jcgrove@hotmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
define( 'PLUGIN_DIR', dirname(__FILE__).'/' ); 
include "social-admin.php"; 
function get_jamie_social_code(){
?>
<?php 
wp_enqueue_style( 'jamie_social', WP_PLUGIN_URL.'/jamie-social-icons/social.css');
?>
<?php $options = get_option( 'jamie_social_options' ); ?>
<ul id="jamie_social">
 <?php if($options['facebook'] == true){ ?>
<!--[if !lte IE 8]><!-->
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) {return;}
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/en_GB/all.js#xfbml=1";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>
<li><fb:like send="false" layout="button_count" width="90" show_faces="false"></fb:like></li><!--<![endif]-->
<!--[if lte IE 8]><li>
<iframe src="//www.facebook.com/plugins/like.php?href&amp;send=false&amp;layout=button_count&amp;width=90&amp;show_faces=false&amp;action=like&amp;colorscheme=light&amp;font&amp;height=21" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:90px; height:21px;" allowTransparency="true"></iframe></li> <![endif]-->
<?php } ?>
 <?php if($options['google'] == true){ ?>
<li><g:plusone size="medium"></g:plusone></li>
<script type="text/javascript">
  (function() {
    var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
    po.src = 'https://apis.google.com/js/plusone.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
  })();
</script>
<?php } ?>
 <?php if($options['twitter'] == true){ ?>
<li><a href="https://twitter.com/share" class="twitter-share-button" data-count="horizontal">Tweet</a></li><script type="text/javascript" src="//platform.twitter.com/widgets.js"></script>
<?php } ?>
<?php if($options['pinterest'] == true){ ?>
<li><a onclick="" href="javascript:void((function(){var e=document.createElement('script');e.setAttribute('type','text/javascript');e.setAttribute('charset','UTF-8');e.setAttribute('src','http://assets.pinterest.com/js/pinmarklet.js?r='+Math.random()*99999999);document.body.appendChild(e)})());" title="Pin It" ><img border="0" style="border:0;" src="http://assets.pinterest.com/images/PinExt.png" title="Pin It" /></a>
<script type="text/javascript" src="http://assets.pinterest.com/js/pinit.js"></script>
</li>

<?php } ?>
<?php if($options['linkedin'] == true){ ?>
<script type="text/javascript" src="http://platform.linkedin.com/in.js"></script>
<li><script type="in/share" data-url="<?php the_permalink(); ?>" data-counter="right"></script></li>
<?php } ?>

</ul>
<?php
}

  
function the_jamie_social_code(){
    return get_jamie_social_code(); 

}
function jamiesocial($atts){
	ob_start();
		get_jamie_social_code();
		$content = ob_get_clean();
	return $content;
}
add_shortcode('jamiesocial', 'jamiesocial');

add_action('init', 'add_jamiesocial_button');
    function add_jamiesocial_button() {  
       if ( current_user_can('edit_posts') &&  current_user_can('edit_pages') )  
       {  
         add_filter('mce_external_plugins', 'add_jamiesocial_plugin');  
         add_filter('mce_buttons', 'register_jamiesocial_button');  
		 
       }  
    }   
	    function register_jamiesocial_button($buttons) {  
       array_push($buttons, "jamiesocial");  
       return $buttons;  
    }  
	    function add_jamiesocial_plugin($plugin_array) {  
       $plugin_array['jamiesocial'] = WP_PLUGIN_URL.'/jamie-social-icons/editor_jamie.js';  
       return $plugin_array;  
    }  