<?php // 

add_action( 'admin_init', 'jamie_social_init' );
add_action( 'admin_menu', 'jamie_social_add_page' );

/**
 * Init plugin options to white list our options
 */

 function jamie_social_init(){
	register_setting( 'social_options', 'jamie_social_options', 'jamie_social_validate' );
}

/**
 * Load up the menu page
 */
 
function jamie_social_add_page() {
	add_menu_page('Jamie Social Settings', 'Social Settings', 'administrator', __FILE__, 'social_options_do_page',plugins_url('/images/share-balloon.png', __FILE__));
  
}
/**
 * Create the options page
 */
 
 add_action('admin_head', 'admin_register_head');
function admin_register_head() {
  $url = WP_PLUGIN_URL.'/jamie-social-icons/options.css';
  echo "<link rel='stylesheet' href='$url' />\n";
}
function social_options_do_page() {
	
	if ( ! isset( $_REQUEST['settings-updated'] ) )
		$_REQUEST['settings-updated'] = false;

?>
	<div class="wrap">
		<div class="icon32" id="icon-jamie_social" title="Jamie Plugins"> <br /> </div><?php echo "<h2>" . get_current_theme() . __( ' Social Options', 'jamie_social' ) . "</h2>"; ?>

		<?php if ( false !== $_REQUEST['settings-updated'] ) : ?>
		<div class="updated fade"><p><strong><?php _e( 'Options saved', 'jamie_social' ); ?></strong></p></div>
		<?php endif; ?>

		<form method="post" action="options.php">
			<?php settings_fields( 'social_options' ); ?>
			<?php $options = get_option( 'jamie_social_options' ); ?>
            
            
            <div class="postbox ">
<div class="inside">
  <p>For more details about this plugin please visit <a href="http://www.cagedfish.co.uk/web-design-leicester/index.php/wordpress-plugins/jamie-social-icons/" title="Wordpress Developers Leicester" target="_blank">www.cagedfish.co.uk</a></p>

<p><?php   echo sprintf(__('This plugin was developed, maintained, supported and documented by <a href="%s">Jamie Grove</a> with a lot of love & effort. Any kind of contribution would be highly appreciated. Thanks!', 'jamiesocial'), 'https://twitter.com/#!/MartiniJamie');?></p>

<?php $url = 'http://wordpress.org/extend/plugins/jamie-social-icons/' ;
	echo "<p style='padding-left: 48px; height:25px; background:transparent url(" .WP_PLUGIN_URL."/jamie-social-icons/images/thumbs_up.png ) no-repeat scroll center left; background-position: 16px 50%; text-decoration: none;'><a href='{$url}' target='_blank'>";
	_e('Give it a good rating on WordPress.org.', 'jamiesocial');
	echo "</a></p>";?>
<div style="float: right;">
<a href="https://twitter.com/martinijamie" class="twitter-follow-button" data-show-count="false">Follow @martinijamie</a>
<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>  
</div>
<br class="clear">
</div>
</div>

			<table class="form-table">
		<tr valign="top"><th scope="row"><?php _e( 'Show Facebook Like', 'jamie_social' ); ?></th>
					<td>
						<input id="jamie_social_options[facebook]" name="jamie_social_options[facebook]" type="checkbox" value="1" <?php checked( '1', $options['facebook'] ); ?> />
						<label class="description" for="jamie_social_options[facebook]"><?php _e( 'Facebook Like', 'jamie_social' ); ?></label>
					</td>
				</tr>
                <tr valign="top"><th scope="row"><?php _e( 'Show Google Plus This', 'jamie_social' ); ?></th>
					<td>
						<input id="jamie_social_options[google]" name="jamie_social_options[google]" type="checkbox" value="1" <?php checked( '1', $options['google'] ); ?> />
						<label class="description" for="jamie_social_options[google]"><?php _e( 'Google +', 'jamie_social' ); ?></label>
					</td>
				</tr>
                <tr valign="top"><th scope="row"><?php _e( 'Show Tweet This', 'jamie_social' ); ?></th>
					<td>
						<input id="jamie_social_options[twitter]" name="jamie_social_options[twitter]" type="checkbox" value="1" <?php checked( '1', $options['twitter'] ); ?> />
						<label class="description" for="jamie_social_options[twitter]"><?php _e( 'Twitter', 'jamie_social' ); ?></label>
					</td>
				</tr>
                    <tr valign="top"><th scope="row"><?php _e( 'Show Linked In Like', 'jamie_social' ); ?></th>
					<td>
						<input id="jamie_social_options[linkedin]" name="jamie_social_options[linkedin]" type="checkbox" value="1" <?php checked( '1', $options['linkedin'] ); ?> />
						<label class="description" for="jamie_social_options[linkedin]"><?php _e( 'LinkedIn', 'jamie_social' ); ?></label>
					</td>
				</tr>
                    <tr valign="top"><th scope="row"><?php _e( 'Show Pinterest This', 'jamie_social' ); ?></th>
					<td>
						<input id="jamie_social_options[pinterest]" name="jamie_social_options[pinterest]" type="checkbox" value="1" <?php checked( '1', $options['pinterest'] ); ?> />
						<label class="description" for="jamie_social_options[pinterest]"><?php _e( 'Pinterest', 'jamie_social' ); ?></label>
					</td>
				</tr>
<?php /*?>                	<tr valign="top"><th scope="row"><?php _e( 'Linked In', 'jamie_social' ); ?></th>
					<td>
						<input id="jamie_social_options[linkedin]" type="radio" name="jamie_social_options[width]" value="<?php esc_attr_e( $options['linkedin'] ); ?>" />
						<label class="description" for="jamie_social_options[linkedin]"><?php _e( 'Show Linked in', 'jamie_social' ); ?></label>
					</td>
				</tr>
<?php */?>
				<?php
				/**
				 * A sample select input option
				 */
			
				/*<!--<tr valign="top"><th scope="row"><?php _e( 'Select input', 'sampletheme' ); ?></th>
					<td>
						<select name="sample_theme_options[selectinput]">
							<?php
								$selected = $options['selectinput'];
								$p = '';
								$r = '';

								foreach ( $select_options as $option ) {
									$label = $option['label'];
									if ( $selected == $option['value'] ) // Make default first in list
										$p = "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $option['value'] ) . "'>$label</option>";
									else
										$r .= "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $option['value'] ) . "'>$label</option>";
								}
								echo $p . $r;
							?>
						</select>
						<label class="description" for="sample_theme_options[selectinput]"><?php _e( 'Sample select input', 'sampletheme' ); ?></label>
					</td>
				</tr>-->*/?>

				</table>

			<p class="submit">
				<input type="submit" class="button-primary" value="<?php _e( 'Save Options', 'jamie_social' ); ?>" />
			</p>
		</form>
	</div>
	<?php
}

/**
 * Sanitize and validate input. Accepts an array, return a sanitized array.
 */
function jamie_social_validate( $input ) {
		// Say our text option must be safe text with no HTML tags
	$input['linkedin'] = wp_filter_nohtml_kses( $input['linkedin'] );
	$input['facebook'] = wp_filter_nohtml_kses( $input['facebook'] );
	$input['twitter'] = wp_filter_nohtml_kses( $input['twitter'] );
	$input['google'] = wp_filter_nohtml_kses( $input['google'] );
	$input['pinterest'] = wp_filter_nohtml_kses( $input['pinterest'] );
	
	return $input;
}
?>